Package org.eclipse.emf.cdo.spi.server

# Class ContainerQueryHandlerProvider

java.lang.Object
org.eclipse.emf.cdo.spi.server.ContainerQueryHandlerProvider

All Implemented Interfaces:
  `IQueryHandlerProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

public class ContainerQueryHandlerProvider extends Object implements IQueryHandlerProvider, org.eclipse.net4j.util.container.IManagedContainerProvider
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ContainerQueryHandlerProvider(org.eclipse.net4j.util.container.IManagedContainer container)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`IQueryHandler`
`getQueryHandler(CDOQueryInfo info)`
If the meaning of this type isn't clear, there really should be more of a description here...

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContainerQueryHandlerProvider

public ContainerQueryHandlerProvider(org.eclipse.net4j.util.container.IManagedContainer container)

## Method Details

### getContainer

public org.eclipse.net4j.util.container.IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

### getQueryHandler

public IQueryHandler getQueryHandler(CDOQueryInfo info)
If the meaning of this type isn't clear, there really should be more of a description here...

Specified by:
  `getQueryHandler` in interface `IQueryHandlerProvider`
Since:
  3.0